<div class="body">
    <header class="header-area">
        <a href="home.html" class="logo-area">
            <img src="../../../assets/img/logo.png" alt="">
        </a>
        <div class="phone-number">+57 3128529007</div>
        <nav class="nav-menu">
            <ul>
                <li class="active"><a href="home.html">Home</a></li>
                <li><a href="about.html">About us</a></li>
                <li><a href="service.html">Services</a></li>
                <li><a href="portfolio.html">Portfolio</a></li>
                <li><a href="contact.html">Contact</a></li>
            </ul>
        </nav>
    </header>
    <div class="form">
        <form [formGroup]="form" (ngSubmit)="onSubmit()">

            <label for="topic">Topic: </label><br>
            <input id="first-name" type="text" formControlName="topic">
            <br>
            <br>

            <label for="email">Email: </label><br>
            <input  id="email" type="email" formControlName="email">
            <br>
            <div *ngIf="f.email.touched && f.email.invalid" class="alert alert-danger">
                <div *ngIf="f.email.errors?.required">Email is required.</div>

                <div *ngIf="f.email.errors?.pattern">Enter valid email.</div>

            </div>
            <br>

            <label for="phone">Phone: </label><br>
            <input id="phone" type="text" formControlName="phone">
            <br>
            <div *ngIf="f.phone.dirty && f.phone.invalid" class="alert alert-danger">

                <div *ngIf="f.phone.errors?.required">Field is required.</div>

                <div *ngIf="f.phone.errors?.pattern">Enter only number.</div>

            </div>
            <br>
            <br>
            <label for="message">Message: </label><br>
            <input id="message" type="text" formControlName="message">
            <br>
            <br>
            <div class="alert alert-info" role="alert">
                Form Status: {{ form.status }}
              </div>
            <button type="submit" [disabled]="!form.valid" class="btn btn-secondary">Send</button>
          </form>
    </div>
    <div class="left-bar">
        <div class="left-bar-content">
            <div class="social-links">
                <a href="#"><i class="fab fa-pinterest"></i></a>
                <a href="#"><i class="fab fa-linkedin"></i></a>
                <a href="#"><i class="fab fa-instagram"></i></a>
                <a href="#"><i class="fab fa-facebook-square"></i></a>
                <a href="#"><i class="fab fa-twitter-square"></i></a>
            </div>
        </div>
    </div>
</div>